Index: trunk/src/org/apollo/gui/EditableSampledTrackGraphView.java
===================================================================
--- trunk/src/org/apollo/gui/EditableSampledTrackGraphView.java	(revision 1006)
+++ trunk/src/org/apollo/gui/EditableSampledTrackGraphView.java	(revision 1102)
@@ -1,9 +1,7 @@
 package org.apollo.gui;
 
-import java.awt.Color;
 import java.awt.Graphics;
 import java.awt.Graphics2D;
 import java.awt.Point;
-import java.awt.Rectangle;
 import java.awt.event.KeyEvent;
 import java.awt.event.KeyListener;
@@ -23,9 +21,12 @@
 import org.apollo.util.TrackNameCreator;
 import org.apollo.widgets.SampledTrack;
+import org.expeditee.core.Colour;
+import org.expeditee.core.bounds.AxisAlignedBoxBounds;
+import org.expeditee.gio.gesture.StandardGestureActions;
+import org.expeditee.gio.swing.SwingConversions;
+import org.expeditee.gio.swing.SwingMiscManager;
 import org.expeditee.gui.Browser;
-import org.expeditee.gui.DisplayIO;
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Frame;
-import org.expeditee.gui.FrameGraphics;
-import org.expeditee.gui.FrameMouseActions;
 import org.expeditee.gui.FreeItems;
 import org.expeditee.items.Item;
@@ -52,6 +53,6 @@
 	private boolean selectAllOnDoubleClick = false;
 
-	public static final Color SELECTION_BACKING_COLOR_SELECT_ONLY = Color.BLACK;
-	private static final Color SELECTION_BACKING_COLOR_SELECT_AND_COPY = Color.GREEN;
+	public static final Colour SELECTION_BACKING_COLOR_SELECT_ONLY = Colour.BLACK;
+	private static final Colour SELECTION_BACKING_COLOR_SELECT_AND_COPY = Colour.GREEN;
 
 	private static final int SELECTION_MODE_SELECT_ONLY = 1;
@@ -215,5 +216,5 @@
 			}
 			
-			FrameGraphics.refresh(true);
+			DisplayController.requestRefresh(true);
 			
 		}
@@ -289,5 +290,5 @@
 			assert(copiedAudioRegion != null);
 			
-			Frame targetFrame = DisplayIO.getCurrentFrame();
+			Frame targetFrame = DisplayController.getCurrentFrame();
 			if (targetFrame != null) {
 				
@@ -307,18 +308,18 @@
 				assert(Browser._theBrowser != null);
 				
-				// A workround for getting the widget into fre space centered on cursor
+				// A workaround for getting the widget into free space centred on cursor
 				Point p = e.getLocationOnScreen();
-				SwingUtilities.convertPointFromScreen(p, Browser._theBrowser.getContentPane());
+				SwingUtilities.convertPointFromScreen(p, SwingMiscManager.getIfUsingSwingGraphicsManager().getContentPane());
 				twidget.setPosition(p.x - (twidget.getWidth() / 2), p.y - (twidget.getHeight() / 2));
 
 				for (Item i : twidget.getItems()) {
-					i.setOffset(new Point(
-							(i.getX() - DisplayIO.getMouseX()) + (twidget.getWidth() / 2), 
-							(i.getY() - FrameMouseActions.getY()) + (twidget.getHeight() / 2)
-						));
+					i.setOffset(SwingConversions.fromSwingPoint(new Point(
+							(i.getX() - DisplayController.getMouseX()) + (twidget.getWidth() / 2), 
+							(i.getY() - DisplayController.getMouseY()) + (twidget.getHeight() / 2)
+						)));
 				}
 				
 				// Put the new widget into free space
-				FrameMouseActions.pickup(twidget.getItems());
+				StandardGestureActions.pickup(twidget.getItems());
 
 			}
@@ -399,5 +400,6 @@
 	
 	@Override
-	public void paint(Graphics g) {
+	public void paint(Graphics g)
+	{
 		super.paint(g);
 
@@ -416,10 +418,6 @@
 			}
 			
-			g.setColor(Color.RED);
-			g.drawLine(
-					x, 
-					0, 
-					x,
-					getHeight());
+			g.setColor(SwingConversions.toSwingColor(Colour.RED));
+			g.drawLine(x, 0, x, getHeight());
 			
 		}
@@ -432,8 +430,13 @@
 	private void paintLock(Graphics g) {
 		if (isPlaying()) {
-			IconRepository.getIcon("lock.png").paintIcon(null,
+			/*IconRepository.getIcon("lock.png").paintIcon(null,
 					g, 
 					getWidth() - LOCK_ICON_CORNER_OFFSET, 
-					LOCK_ICON_CORNER_OFFSET - 16);
+					LOCK_ICON_CORNER_OFFSET - 16);*/
+			
+			g.drawImage(SwingMiscManager.getIfUsingSwingImageManager().getInternalImage(IconRepository.getIcon("lock.png")), 
+					getWidth() - LOCK_ICON_CORNER_OFFSET, 
+					LOCK_ICON_CORNER_OFFSET - 16,
+					null);
 		}
 	}
@@ -442,5 +445,5 @@
 		Point exp = getExpediteePoint();
 		if (exp != null) {
-			FrameGraphics.invalidateArea(new Rectangle(
+			DisplayController.invalidateArea(new AxisAlignedBoxBounds(
 					exp.x + getWidth() - LOCK_ICON_CORNER_OFFSET, 
 					exp.y + LOCK_ICON_CORNER_OFFSET  - 16, 
@@ -505,5 +508,6 @@
 			
 			color =  (selectionMode == SELECTION_MODE_SELECT_ONLY) ?
-					SELECTION_BACKING_COLOR_SELECT_ONLY : SELECTION_BACKING_COLOR_SELECT_AND_COPY;
+						SwingConversions.toSwingColor(SELECTION_BACKING_COLOR_SELECT_ONLY) :
+						SwingConversions.toSwingColor(SELECTION_BACKING_COLOR_SELECT_AND_COPY);
 			super.paint(g);
 		}
